package com.muyu.config.cache;

import com.github.benmanes.caffeine.cache.Cache;
import com.github.benmanes.caffeine.cache.Caffeine;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 缓存配置类
 */
@Configuration
public class CaffeineConfig {
    @Bean("loginUserCache")
    public Cache<String, ? extends ExpiryTime> caffeineCache(){
        CacheExpiry cacheExpiry = new CacheExpiry();
        return Caffeine.newBuilder()
                .expireAfter(cacheExpiry)
                //初始容量为100
                .initialCapacity(128)
                .build();
    }
}

