package com.muyu.web.controller;

import com.muyu.web.common.Result;
import com.muyu.web.domain.model.ServerConfigModel;
import com.muyu.web.domain.req.ServerConfigEditReq;
import com.muyu.web.domain.resp.ServerConfigResp;
import com.muyu.web.service.ServerConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: 服务器配置控制层
 * @Version: 1.0
 */
@RestController
@RequestMapping("/vehicle/server/config")
public class ServerConfigController {

    @Autowired
    private ServerConfigService serverConfigService;

    @GetMapping
    public Result<ServerConfigResp> get() {
        ServerConfigModel serverConfigModel = serverConfigService.get();
        return Result.success(ServerConfigResp.modelBuild(serverConfigModel));
    }

    @PutMapping
    public Result<String> edit(@RequestBody ServerConfigEditReq serverConfigReq) {
        serverConfigService.edit(
                ServerConfigModel.editReqBuild(serverConfigReq)
        );
        return Result.success();
    }
}
