package com.muyu.web.domain.resp;

import com.muyu.vehicle.VehicleInstance;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author DongZl
 * @description: 车辆实例控制层响应结果
 * @Date 2023-11-25 上午 10:04
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleInstanceResp {

    /**
     * VIN
     */
    private String vin;

    /**
     * 是否在线
     */
    private boolean isOnline;

    /**
     * 路线轨迹编码
     */
    private String positionCode;

    /**
     * 路线剩余定位点
     */
    private Integer positionLength = 0;

    /**
     * 消息状态
     */
    private String msgCode;


    /**
     * 档位
     */
    private String gear = "P";

    /**
     * 里程
     */
    private BigDecimal mileage;

    public static VehicleInstanceResp instanceBuild (VehicleInstance vehicleInstance) {
        return VehicleInstanceResp.builder()
                .vin(vehicleInstance.getVin())
                .isOnline(vehicleInstance.isOnline())
                .positionCode(vehicleInstance.getPositionCode())
                .positionLength(vehicleInstance.getPositionQueue().size())
                .gear(vehicleInstance.getVehicleData().getGear())
                .msgCode(vehicleInstance.getMsgCode())
                .mileage(vehicleInstance.getVehicleData().getMileage())
                .build();
    }
}
